﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="View.ascx.cs" Inherits="FluentTest.View" %>

FluentTest


<p>
    <asp:LinqDataSource ID="LDSCustomer" runat="server" 
        ContextTypeName="FluentTest.FluentTestDALDataContext" EnableDelete="True" 
        EnableInsert="True" EnableUpdate="True" TableName="FluentTest_Customers">
    </asp:LinqDataSource>
</p>
<p>
    <asp:ListView ID="ListView1" runat="server" DataKeyNames="Id" 
        DataSourceID="LDSCustomer" InsertItemPosition="LastItem" 
        oniteminserted="ListView1_ItemInserted">
        <ItemTemplate>
            <tr style="background-color:#DCDCDC;color: #000000;">
                <td>
                    <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" 
                        Text="Delete" />
                    <asp:Button ID="EditButton" runat="server" CommandName="Edit" Text="Edit" />
                </td>
                <td>
                    <asp:Label ID="IdLabel" runat="server" Text='<%# Eval("Id") %>' />
                </td>
                <td>
                    <asp:Label ID="SurnameLabel" runat="server" Text='<%# Eval("Surname") %>' />
                </td>
                <td>
                    <asp:Label ID="ForenameLabel" runat="server" Text='<%# Eval("Forename") %>' />
                </td>
                <td>
                    <asp:Label ID="DiscountLabel" runat="server" Text='<%# Eval("Discount") %>' />
                </td>
                <td>
                    <asp:Label ID="AddressLabel" runat="server" Text='<%# Eval("Address") %>' />
                </td>
            </tr>
        </ItemTemplate>
        <InsertItemTemplate>
            <tr style="">
                <td>
                    <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
                        Text="Insert" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Clear" />
                </td>
                <td>
                    &nbsp;</td>
                <td>
                    <asp:TextBox ID="SurnameTextBox" runat="server" Text='<%# Bind("Surname") %>' />
                </td>
                <td>
                    <asp:TextBox ID="ForenameTextBox" runat="server" 
                        Text='<%# Bind("Forename") %>' />
                </td>
                <td>
                    <asp:TextBox ID="DiscountTextBox" runat="server" 
                        Text='<%# Bind("Discount") %>' />
                </td>
                <td>
                    <asp:TextBox ID="AddressTextBox" runat="server" Text='<%# Bind("Address") %>' />
                </td>
            </tr>
        </InsertItemTemplate>
        <LayoutTemplate>
            <table runat="server">
                <tr runat="server">
                    <td runat="server">
                        <table ID="itemPlaceholderContainer" runat="server" border="1" 
                            style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
                            <tr runat="server" style="background-color:#DCDCDC;color: #000000;">
                                <th runat="server">
                                </th>
                                <th runat="server">
                                    Id</th>
                                <th runat="server">
                                    Surname</th>
                                <th runat="server">
                                    Forename</th>
                                <th runat="server">
                                    Discount</th>
                                <th runat="server">
                                    Address</th>
                            </tr>
                            <tr ID="itemPlaceholder" runat="server">
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr runat="server">
                    <td runat="server" 
                        style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
                        <asp:DataPager ID="DataPager1" runat="server">
                            <Fields>
                                <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" 
                                    ShowLastPageButton="True" />
                            </Fields>
                        </asp:DataPager>
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
        <EditItemTemplate>
            <tr style="background-color:#008A8C;color: #FFFFFF;">
                <td>
                    <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
                        Text="Update" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Cancel" />
                </td>
                <td>
                    <asp:Label ID="IdLabel1" runat="server" Text='<%# Eval("Id") %>' />
                </td>
                <td>
                    <asp:TextBox ID="SurnameTextBox" runat="server" Text='<%# Bind("Surname") %>' />
                </td>
                <td>
                    <asp:TextBox ID="ForenameTextBox" runat="server" 
                        Text='<%# Bind("Forename") %>' />
                </td>
                <td>
                    <asp:TextBox ID="DiscountTextBox" runat="server" 
                        Text='<%# Bind("Discount") %>' />
                </td>
                <td>
                    <asp:TextBox ID="AddressTextBox" runat="server" Text='<%# Bind("Address") %>' />
                </td>
            </tr>
        </EditItemTemplate>      
    </asp:ListView>
</p>
<asp:Literal ID="lblError" runat="server" EnableViewState="False" />
